@import "vars";

.slide-menu {
    $slideMenuBorder: 1px solid #b7b7b7;

    position: absolute;
    width: 0;
    height: 100%;

    box-sizing: border-box;
    transition: width .35s ease, box-shadow .35s ease;

    .slide-menu-name {
        font-family: "Varela Round", serif;
        font-weight: bold;

        padding-left: 5px;
    }

    &.left {
        left: 0;
        border-right: $slideMenuBorder;
    }

    &.right {
        right: 0;
        border-left: $slideMenuBorder;
    }

    &.show {
        &.left {
            box-shadow: -5px 10px 15px 10px #92929285;
        }
    
        &.right {
            box-shadow: 5px 10px 15px 10px #92929285;
        }
    }

    overflow: hidden;
    white-space: nowrap;

    .slide-menu-close > * {
        margin: 3px 6px;

        > img {
            width: 25px;
            height: 25px;
        }
    }

    > .status-bar {
        @include statusBar(40px, 10px);

        li {
            @include flexCenter;
        }
    }

    .slide-warning {
        font-family: 'Segoe UI',Tahoma,sans-serif;
        text-align: center;
        padding: 15px;
        background: #ffda2691;
        border: 1px solid #ffb308;
        border-radius: 8px;
        font-weight: 400;
    }
}

#report-slide {
    background: white;

    &.show {
        @include slideWidth(400px, 40%);
    }

    #report-slide-content {
        margin: 20px;
        
        display: flex;
        flex-flow: column;

        gap: 10px;

        > .report-option {
            width: 100%;

            border-radius: 8px;
            border: 1px solid darkgrey;
            overflow: hidden;

            > .report-option-header {
                height: 53px;
                background: #d0d0d0;

                display: flex;
                box-sizing: border-box;

                > .report-option-name {
                    display: flex;
                    align-items: center;
                    padding: 10px;
                    padding-left: 20px;

                    font-family: "Varela Round", serif;
                    font-size: 20px;

                    width: 100%;
                    transition: background .3s ease;

                    &:hover {
                        background: #b9b9b9;
                        cursor: pointer;
                    }
                }

                > .report-option-collapse {
                    width: 50px;
                    flex-shrink: 0;
                    border-left: 1px solid #a9a9a9;

                    &:hover {
                        cursor: pointer;
                    }
                }
            }

            > .report-option-body {
                @include textOverflow;

                background: white;
                transition: height .3s ease;

                > .report-option-content {
                    margin: 10px;
                }
            }

            &:not(.collapsed) > .report-option-body {
                height: 0px;
            }

            &.collapsed > .report-option-body {
                height: 100px;
            }
        }
    }
}

#user-slide {
    background: white;

    &.show {
        @include slideWidth(300px, 25%);
    }

    #user-slide-content {
        margin: 15px;
    }

    #user-login,
    #user-register {
        input {
            font-family: "Varela Round", serif;
            box-sizing: border-box;
            font-size: 16px;
            margin-bottom: 10px;
            display: block;
            width: 100%;
        }
    }

    #user-login,
    #user-logout,
    #user-register {
        button {
            &:hover {
                cursor: pointer;
            }
        }
    }
}

#options-slide {
    background: white;

    &.show {
        @include slideWidth(400px, 40%);
    }
}

#tile-edit-slide {
    background: white;

    &.show {
        @include slideWidth(400px, 40%);
    }

    #tile-edit-slide-content {
        margin: 15px;
        display: flex;
        gap: 15px;
        flex-flow: column;

        #tile-edit-slide-content-color {
            padding-bottom: 15px;
            border-bottom: 1px solid #afafaf;
        }

        #tile-edit-slide-content-color-picker {
            > div {
                position: relative;
                top: 1px;
                width: 100%;
                border-radius: 8px;
            }
        }
    }
}